#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Starlink
%define		pnam	AST
Summary:	Starlink::AST - Interface to the Starlink AST library
Name:		perl-Starlink-AST
Version:	1.02
Release:	11
License:	open_source
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TJ/TJENNESS/Starlink-AST-1.02.tar.gz
# Source0-md5:	a5b044630445c2632710107040b70e5a
URL:		http://search.cpan.org/dist/Starlink-AST/
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Astro-FITS-CFITSIO
BuildRequires:	perl-Test-Number-Delta
BuildRequires:	perl-Test-Deep
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		Werror_cflags	%{nil}

%description
Starlink::AST provides a perl wrapper to the Starlink AST library.
The Starlink AST library provides facilities for transforming
coordinates from one system to another in an object oriented manner.
Multiple coordinate frames can be associated with a data set and it is
also possible to generate automatic mappings between frames.

Coordinate frame objects can be imported from FITS headers and from
NDF files.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__mv} t/plot00_pgplot.t t/plot00_pgplot.t-requires-X
%{__mv} t/plot00_tk.t t/plot00_tk.t-requires-X

%build
%{__perl} Build.PL \
	config="optimize=%{rpmcflags}" \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_vendorarch}/Starlink
%{perl_vendorarch}/Starlink/*.pm
%dir %{perl_vendorarch}/Starlink/AST
%{perl_vendorarch}/Starlink/AST/*.pm
%dir %{perl_vendorarch}/auto/Starlink
%dir %{perl_vendorarch}/auto/Starlink/AST
%attr(755,root,root) %{perl_vendorarch}/auto/Starlink/AST/*.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Starlink-AST.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 41946b4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dae9287
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f272b87
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> a8e4ccc
- rebuild with perl 5.28.0
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a48b0a6
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a491e5a
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 434d080
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3f57155
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 70038a3
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b891404
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bb91984
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 448813c
- package missing dir
- rel 2

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 2be1720
- new

